package me.Demon.DemonShouKeKit;

import java.io.File;
import java.io.IOException;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.Date;
import java.util.List;
import java.util.Random;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.bukkit.configuration.file.FileConfiguration;
import org.bukkit.configuration.file.YamlConfiguration;
import org.bukkit.entity.Player;
import org.bukkit.event.Listener;
import org.bukkit.plugin.Plugin;
import org.bukkit.plugin.java.JavaPlugin;

public class Main extends JavaPlugin implements Listener {
  public static Main plugin;
  
  public static String prefix = "§f[§c礼包§f] §a";
  
  public static List<String> scList = new ArrayList<>();
  
  public static File Datafile = new File("plugins/DemonShouKeKit", "MonthData.yml");
  
  public static FileConfiguration DataG = (FileConfiguration)YamlConfiguration.loadConfiguration(Datafile);
  
  public static void saveDataConfig() {
    try {
      DataG.save(Datafile);
    } catch (IOException e) {
      e.printStackTrace();
    } 
  }
  
  public void onEnable() {
    plugin = this;
    saveDefaultConfig();
    if (getConfig().getConfigurationSection("ChongZhi") != null)
      scList.addAll(getConfig().getConfigurationSection("ChongZhi").getKeys(false)); 
    getServer().getPluginManager().registerEvents(new ShouChong(), (Plugin)plugin);
    getServer().getPluginManager().registerEvents(this, (Plugin)this);
    MonthChongZhi.updataMonthData();
  }
  
  public boolean onCommand(CommandSender sender, Command cmd, String str, String[] args) {
    if (str.equalsIgnoreCase("dshouk") && 
      args.length == 0)
      ShouChong.OpenGui((Player)sender); 
    return false;
  }
  
  public static boolean isInvFull(Player player) {
    if (player.getInventory().firstEmpty() == -1)
      return true; 
    return false;
  }
  
  public static int getRandomInt(int max, int mix) {
    return (new Random()).nextInt(max) + mix;
  }
  
  public static String getTime(String Format) {
    Date date = Calendar.getInstance().getTime();
    SimpleDateFormat datatime = new SimpleDateFormat(Format);
    return datatime.format(date);
  }
}
