package me.Demon.DemonShouKeKit;

import com.yaohun.aurechargedata.api.RechargeAPI;
import com.yaohun.aurechargedata.util.TimeType;
import lk.vexview.api.VexViewAPI;
import lk.vexview.event.ButtonClickEvent;
import lk.vexview.gui.VexGui;
import lk.vexview.gui.components.VexButton;
import lk.vexview.gui.components.VexSlot;
import me.Demon.DemonShouKeKit.Event.RechargeBuyKitEvent;
import org.bukkit.Bukkit;
import org.bukkit.configuration.file.FileConfiguration;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.inventory.ItemStack;
import org.bukkit.inventory.meta.ItemMeta;

import java.util.ArrayList;
import java.util.List;

public class ShouChong implements Listener {
  public static int getCzCoins(String playName) {
    return RechargeAPI.getRechargeData(playName, TimeType.ANNUAL);
  }
  
  public static ItemStack showItem(String key) {
    FileConfiguration yml = Main.plugin.getConfig();
    return yml.getItemStack("ItemShow." + key);
  }
  
  public static void OpenGui(Player p) {
    VexGui gui = new VexGui("[local]LiBao/首充礼包.png", -1, -1, 240, 160);
    if (!isSendKit(p.getName()).contains("首充大礼包"))
      gui.addComponent(new VexButton("dshouk_butt", "§r", "[local]LiBao/点击领取_1.png", "[local]LiBao/点击领取_2.png", 95, 138, 40, 15));
    gui.addComponent(new VexSlot(0, 98, 120, showItem("学院智慧头骨")));
    gui.addComponent(new VexSlot(1, 121, 120, showItem("灵环幸运蛋")));
    gui.addComponent(new VexSlot(2, 144, 120, showItem("远古精灵的秘药")));
    gui.addComponent(new VexSlot(3, 166, 120, showItem("高级器师套装盒")));
    gui.addComponent(new VexSlot(4, 189, 120, showItem("金币50000")));
    VexViewAPI.openGui(p, gui);
  }
  
  @EventHandler
  public void onkey(ButtonClickEvent e) {
    Player p = e.getPlayer();
    Object ButtonID = e.getButtonID();
    if (ButtonID == null)
      return; 
    if (String.valueOf(ButtonID).contains("dshouk_butt")) {
      if (isSendKit(p.getName()).contains("首充大礼包")) {
        p.sendMessage(Main.prefix + "您已经领取过该礼包,不能再次领取喔~");
        return;
      } 
      if (Main.isInvFull(p)) {
        p.sendMessage(Main.prefix + "您的背包满了，请清理一下背包再尝试领取.");
        return;
      } 
      int money = getCzCoins(p.getName());
      if (money >= 6) {
        p.closeInventory();
        Main.scList.add(p.getName());
        addSendKit(p.getName(), "首充大礼包");
        Main.plugin.saveConfig();
        ItemStack tougu = showItem("学院智慧头骨").clone();
        ItemMeta meta = tougu.getItemMeta();
        List<String> lore = meta.getLore();
        lore.add("§c帝国绑定: §e" + p.getName());
        meta.setLore(lore);
        tougu.setItemMeta(meta);
        p.getInventory().addItem(tougu);
        p.getInventory().addItem(showItem("灵环幸运蛋"));
        p.getInventory().addItem(showItem("高级器师套装盒"));
        Bukkit.dispatchCommand(Bukkit.getConsoleSender(), "eco give " + p.getName() + " 50000");
        Bukkit.dispatchCommand(Bukkit.getConsoleSender(), "dpotion give 远古精灵的秘药 2 " + p.getName());
        RechargeBuyKitEvent event = new RechargeBuyKitEvent(p.getName(), "首充大礼包");
        Bukkit.getPluginManager().callEvent(event);
      } else {
        p.sendMessage(Main.prefix + "你还需要充值§e§l" + (6 - money) + "元§a才能领取该礼包.");
      } 
    } 
  }
  
  public static List<String> isSendKit(String playName) {
    FileConfiguration yml = Main.plugin.getConfig();
    return yml.getStringList("ChongZhi." + playName + ".KitList");
  }
  
  public static void addSendKit(String playName, String kitType) {
    FileConfiguration yml = Main.plugin.getConfig();
    List<String> list = new ArrayList<>();
    list.add(kitType);
    list.addAll(isSendKit(playName));
    yml.set("ChongZhi." + playName + ".KitList", list);
  }
}
