package me.Demon.DemonShouKeKit;

import de.tr7zw.itemnbtapi.NBTItem;
import org.bukkit.Bukkit;
import org.bukkit.Sound;
import org.bukkit.configuration.file.FileConfiguration;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.inventory.InventoryClickEvent;
import org.bukkit.inventory.Inventory;
import org.bukkit.inventory.ItemStack;
import org.bukkit.inventory.meta.ItemMeta;
import org.bukkit.scheduler.BukkitRunnable;

import java.util.ArrayList;
import java.util.List;

public class MonthChongZhi implements Listener {
  @EventHandler
  public void click(InventoryClickEvent e) {
    Player p = (Player)e.getWhoClicked();
    if (e.getInventory() != null && "斗魂偙国 - 幸运儿资格查询".equalsIgnoreCase(e.getInventory().getTitle()))
      e.setCancelled(true); 
  }
  
  public static void OpenGui(Player p) {
    Inventory inv = Bukkit.createInventory(null, 9, "斗魂偙国 - 幸运儿资格查询");
    inv.setItem(4, showItems(p.getName()));
    p.openInventory(inv);
  }
  
  public static ItemStack showItems(String playName) {
    ItemStack item = new ItemStack(359);
    ItemMeta meta = item.getItemMeta();
    meta.setDisplayName("§e§l幸运儿资格查询");
    List<String> lore = new ArrayList<>();
    if (isPlayerData(playName)) {
      lore.add("§a§l★§7资格查询: §d§l已使用");
    } else if (getPlayerList().contains(playName)) {
      lore.add("§a§l★§7资格查询: §a§l已获得");
    } else {
      lore.add("§a§l★§7资格查询: §c§l未获得");
    } 
    lore.add("§a§l★§7剩余名额: §a§l" + (15 - getPlayerDataAmount()) + " §7§l/ §a§l15");
    lore.add(" ");
    lore.add("§a§l★§7玩法介绍:");
    lore.add("§7 每月仅限30名玩家获得幸运儿资格");
    lore.add("§7 您每月充值的每一笔软都概率触发幸运儿");
    lore.add("§7 触发幸运儿后下一笔充值就会变为双倍");
    lore.add("§c (但是下一笔需要满足100软以上才行)");
    meta.setLore(lore);
    item.setItemMeta(meta);
    NBTItem nbti = new NBTItem(item);
    nbti.setString("stex", "qiandai_5");
    item = nbti.getItem();
    return item;
  }
  
  public static void StartXingYunEr(final Player p) {
    addPlayerList(p.getName());
    (new BukkitRunnable() {
        public void run() {
          p.sendMessage("§f[§c幸运儿§f] §a恭喜成为本月幸运儿！下一次赞助可获得双倍！§7(不含赠送)");
          p.sendTitle("§e§l赞助幸运儿", "§f下一笔充值§6[" + Main.DataG.getInt("RechargeMoney") + "元]§f以上即可翻倍！", 20, 60, 40);
          p.playSound(p.getLocation(), Sound.ENTITY_PLAYER_LEVELUP, 1.0F, 1.0F);
        }
      }).runTaskLater(Main.plugin, 40L);
  }
  
  public static int getPlayerDataAmount() {
    int amount = 0;
    FileConfiguration yml = Main.DataG;
    for (String playName : yml.getConfigurationSection("PlayerData").getKeys(false)) {
      if (isPlayerData(playName))
        amount++; 
    } 
    return amount;
  }
  
  public static boolean isPlayerData(String playName) {
    FileConfiguration yml = Main.DataG;
    return yml.getBoolean("PlayerData." + playName);
  }
  
  public static void setPlayerData(String playName, boolean butt) {
    FileConfiguration yml = Main.DataG;
    yml.set("PlayerData." + playName, butt);
    Main.saveDataConfig();
  }
  
  public static List<String> getPlayerList() {
    FileConfiguration yml = Main.DataG;
    return yml.getStringList("PlayerList");
  }
  
  public static void addPlayerList(String playName) {
    FileConfiguration yml = Main.DataG;
    List<String> list = new ArrayList<>();
    list.add(playName);
    list.addAll(getPlayerList());
    yml.set("PlayerList", list);
    Main.saveDataConfig();
  }
  
  public static String getLastMonthtime() {
    FileConfiguration yml = Main.DataG;
    return yml.getString("Timemonth");
  }
  
  public static void updataMonthData() {
    FileConfiguration yml = Main.DataG;
    if (!getLastMonthtime().equalsIgnoreCase(Main.getTime("yyyy/MM"))) {
      yml.set("Timemonth", Main.getTime("yyyy/MM"));
      List<String> list = new ArrayList<>();
      yml.set("PlayerList", list);
      for (String playName : yml.getConfigurationSection("PlayerData").getKeys(false))
        yml.set("PlayerData." + playName, null); 
      Main.saveDataConfig();
    } 
  }
}
